Summary:        CHIRP is a free, open-source tool for programming your radio
Name:           chirp-next
Version:        20240626
Release:        1%{?dist}
License:        GPLv2
URL:            https://chirp.danplanet.com/projects/chirp/wiki/Home
Source0:        https://trac.chirp.danplanet.com/chirp_next/next-%{version}/chirp-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  desktop-file-utils

%description
CHIRP is a free, open-source tool for programming your radio. It supports a large
number of manufacturers and models, as well as provides a way to interface with
multiple data sources and formats

%prep
%autosetup -n chirp-%{version}

%build
%py3_build

%install
%py3_install
install -D -m 0644 chirp/share/chirp.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/chirp.png

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications chirp/share/chirp.desktop

%files
%{_bindir}/chirp
%{_bindir}/chirpc
%{_bindir}/experttune
%{_datadir}/applications/chirp.desktop
%{_datadir}/pixmaps/chirp.png
%{python3_sitelib}/chirp*.egg-info
%{python3_sitelib}/chirp/*.py
%{python3_sitelib}/chirp/*/*.py
%{python3_sitelib}/chirp/__pycache__/*.pyc
%{python3_sitelib}/chirp/*/__pycache__/*.pyc
%{python3_sitelib}/chirp/share/*
%{python3_sitelib}/chirp/stock_configs/*
%{python3_sitelib}/chirp/locale/*/LC_MESSAGES/CHIRP.mo

%changelog
* Thu Jun 27 2024 Greg Wildman <greg@techno.co.za> - 20240626-1
- [Bug 10600] radioddity ga-510 not cloning
- [Bug 11199] Unable to upload back to radio

* Tue Jun 18 2024 Greg Wildman <greg@techno.co.za> - 20240618-1
- [Bug 11385] Cannot close CHIRP next-20240614 Python 3.10.8 wx 4.2.0 msw 3.2.0, and cannot open saved .img .csv
- [Bug 11386] Cannot paste values on LIVE radio
- [Bug 11389] Chirp unable to import csv files from rtsystems export
- [Bug 11391] Kenwood V71 fails on some tuning steps
- [New Model 11161] Radtel RT-495
- [New Model 11220] Radtel RT-730 and RT-630
- [New Model 11380] Add Retevis P2 and P62
- [New Model 11383] Baofeng BF-18H and BF-18L supported by UV-25 driver

* Fri Jun 14 2024 Greg Wildman <greg@techno.co.za> - 20240614-1
- [Bug 11372] Retevis RA87 doesn't retain scan mode changes
- [Bug 11374] KT-8R identification failed
- [New Model 11348] KSUN X-M6TFSI

* Thu Jun 06 2024 Greg Wildman <greg@techno.co.za> - 20240606-1
- [Bug 11260] UV-25 not on compatibility site list
- [Bug 11363] Radtel RT-730

* Fri May 31 2024 Greg Wildman <greg@techno.co.za> - 20240531-1
- 4619302a Remove duplicative and incorrect RH5R alias
- 566078ea Add openonly filter to Repeaterbook queries
- 9f5b97b0 Point the INSTALL file to the Wiki
- 2d3369b0 Remove optional load mechanism for python3-suds
- 21c116b4 Fix and improvements to the Italian translation

* Fri May 24 2024 Greg Wildman <greg@techno.co.za> - 20240524-1
- [Bug 11357] cannot read qyt kt-8900d
- [Bug 11358] Insert Row above prduces Error 1000

* Wed May 22 2024 Greg Wildman <greg@techno.co.za> - 20240522-1
- [Bug 11351] Baofeng BF-T20 unable to download from radio
- [Bug 11352] AttributeError: 'ChirpMemoryGrid' object has no attribute 'AssignTable'
- [Bug 11353] Baofeng BF-1909 error when attempting to read radio, "Radio returned unknown identification string"
- [Feature 11355] Available frequencies for Baofeng UV-17Pro
- [New Model 11086] Baofeng UV-5RH Pro Max

* Sun May 19 2024 Greg Wildman <greg@techno.co.za> - 20240519-1
- [Bug 11338] Sorting Columns
- [Feature 10750] Column sorting (for display purposes only)
- [Feature 11349] Choose language by adding settings menu
- [New Model 10871] Retevis RA87

* Tue May 14 2024 Greg Wildman <greg@techno.co.za> - 20240514-1
- [Bug 11252] Updated rpttool Issue
- [Bug 11344] Crash while deleting or writing in row 0 with BTECH_GMRS-V2, latest CHIRP
- [Bug 11346] UI no response at all. No buttons work. Window dressing doesn't come to foreground.  CHIRP-Next ubuntu 22.04
- [New Model 11347] New Firmware - TD-H3 - Unable to add addition frequencies - out of range.

* Sat May 11 2024 Greg Wildman <greg@techno.co.za> - 20240511-1
- [Bug 11340] Documentation Update - python3-suds isn't installed by default
- [New Model 9760] Baofeng BF-1909

* Sat May 04 2024 Greg Wildman <greg@techno.co.za> - 20240504-1
- e95140ff Detect AnyTone 778UV VOX and CRT Micron UV V2
- 1a5e100f rt95: Detect VOX variant from RT95
- a8accd3a ui: Report the detected model during clone
- 33130ed8 uvk5: Report no response distinct from short read
- 5385a348 Make clone tests do the detection dance
- 1254347c Fix clone test serial object API
- d5689402 Refactor detection for class isolation
- 83084f72 Remove future library dependency
- df26891b Update es.po

* Thu May 02 2024 Greg Wildman <greg@techno.co.za> - 20240502-1
- [Bug 11326] "CHIRP Frequency is out of supported range" when working on TD-H3 GMRS

* Sat Apr 27 2024 Greg Wildman <greg@techno.co.za> - 20240427-1
- [Bug 11300] Alinco DR-735T: "Unsupported radio model"
- [Bug 11318] TIDRADIO H8 Power levels not transferring.

* Fri Apr 19 2024 Greg Wildman <greg@techno.co.za> - 20240419-1
- [Bug 11303] UTF-8 Import Problems (Mac OS -> Generated from Excel)

* Sat Apr 13 2024 Greg Wildman <greg@techno.co.za> - 20240413-1
- [Bug 11293] Pasting/importing issues
- [Bug 11297] Retevis RT24 Fails to Clone
- [Bug 11299] Failed: 'subcat' object has no attribute 'scName' - Zip Code 25070
- [Bug 11300] Alinco DR-735T: "Unsupported radio model"

* Wed Apr 10 2024 Greg Wildman <greg@techno.co.za> - 20240410-1
- [Bug 11288] U3R  "name e it's not defined"
- [New Model 8885] Alinco DR-735T

* Thu Apr 04 2024 Greg Wildman <greg@techno.co.za> - 20240404-1
-[Bug 11263] TD-H3 power level handling still broken
-[Bug 11274] VX8 PROGRAMMING BUG
-[Bug 11275] YAESU VX8 FM/FMN INVERTED
-[Bug 11283] Repeaterbook query

* Mon Apr 01 2024 Greg Wildman <greg@techno.co.za> - 20240401-1
- [Bug 11268] Can't download 70cm repeaters from Repeaterbook

* Fri Mar 22 2024 Greg Wildman <greg@techno.co.za> - 20240322-1
- [Bug 11164] Radtel RT-470 10W NEW PCB  / V2.13A Firmware ERROR: Failed to clone: Radio returned unknown identification string
- [Bug 11257] no high low/low power menu
- [Bug 11258] Radtel RT-470 10W NEW PCB / V2.00 Firmware ERROR: Failed to clone: Radio returned unknown identification string
- [Feature 11255] Allow duplex offsets to exceed valid_bands range if the radio allows this configuration
- [New Model 11006] Baofeng UV-5G Plus (GMRS only)

* Tue Mar 19 2024 Greg Wildman <greg@techno.co.za> - 20240319-1
- 74a8717d idrp: Add --debug flag for verbosity
- 88bcaf9c tdh8: Fix and simplify FM channel settings
- 9315d397 tdh8: Fix TD-H3 power levels
- 06ae1e9b tdh8: Simplify and fix offset/split/off decoding
- 47840b26 tdh8: Simplify skip/add data structure
- 38ca750c tdh8: Fix byte ordering for used flags
- 7fdd01a4 tdh8: Late-evaluate mic gain setting
- 524493b7 tdh8: Extend RX frequency range
- 91c78b39 uvk5: set correct default values for extra settings in empty channels

* Sun Mar 17 2024 Greg Wildman <greg@techno.co.za> - 20240317-1
- 86a2ee0e idrp: Presumptive python3 conversion
- 749f9dca Fix displaying choice settings
- 5b84b4c5 uvk5: Bless k5_4.00 firmware for Quansheng UV-5R Plus
- 5cf61ad1 snapcraft: use archive.chirpmyradio.com
- df74b0a8 Initial support for Icom IC-7400
- f9e5b870 Allow late eval of choice settings
- cef146f8 bitwise: Add lbit type for LE bit arrays

* Tue Mar 12 2024 Greg Wildman <greg@techno.co.za> - 20240312-1
- c00166ba typo fixes in Spanish translation
- e8c28d76 Fix default argument parsing on Linux
- d3a2783f kenwood_live: Fix out-of-order tone list
- 4c8f2720 Update Spanish Translation

* Mon Mar 11 2024 Greg Wildman <greg@techno.co.za> - 20240311-1
- 3cc4bf36 Warn about loading modules with open tabs
- e2b026a6 Add modular config dir command-line option
- 7fda4fd5 Stop even building fakes in normal mode
- 7d42bfb3 Add missing tooltip for mode column
- 0c1ac358 Tweaks to dev mode logging and toggling
- aa55cd11 Add MYEMR1 alias
- 32f1a5fc tdh8: Handle invalid FM VFO value
- 8603477f Update Spanish Translation
- e9600540 Fixed a typo while preparing an IC-7400 driver

* Wed Mar 06 2024 Greg Wildman <greg@techno.co.za> - 20240306-1
- ddc7ffdc hguv98: Mark as tested in -next
- f2a6f6cf Update internal links to CMR
- a8b8d27c Report memory number if error during export
- 1222525a ft70: Fix bitwise errors
- 58a1f399 ft70: Fix upload instructions
- eb5bd3c9 UV13Pro and UV17: channel names were displayed wrong above channel 372
- 25c1f0cf Baofeng 17Pro: Fixes frequency range validation and reworks out of range response
- 273083fa K5 Plus: Register new model -> child of 5RM driver
- c05f6dc0 Update tr_TR.po

* Thu Feb 29 2024 Greg Wildman <greg@techno.co.za> - 20240229-1
- 5cd1388e Fix spanish translation of "Skip" column
- 326bf91e Show end address in browser
- 68e30abb tdh8: Fix bitwise errors and memory structure
- 194c4ea9 Remove leftover debug in wxui/clone
- d8c89c72 Make test_bitwise_errors required
- b28a99a5 wouxun: Fix bitwise errors
- 26c832d7 ft7100: Fix bitwise errors
- aa6d1f89 ft70: fix bitwise errors
- 0f4f8b08 ft450d: Fix bitwise errors
- 3afb17ca ft2900: Fix bitwise errors and deprecations
- fd3538e2 ftl2011: Fix bitwise errors
- cd9ca90e mml_jc8810.py: Talkpod A36Plus 8w support v1.6 firmware - fixes #11191
- f9e2bada TIDRADIO: Fixed false empty channels on deletion with robust usedflags logic.
- 5712a810 Update Spanish Translation
- 20ece0b0 baofeng_common.py: gracefully handle bcd coding errors - fixes #11183

* Sat Feb 24 2024 Greg Wildman <greg@techno.co.za> - 20240224-1
- 38d2002c wouxun: Fix bitwise errors and deprecations
- 5e59c489 th_uv8000: Fix bitwise errors and deprecations
- e49247e4 anytone_iii: Clean up bitwise errors and deps
- b6632838 Remove invalid duplexes from a few drivers
- 57e1d17f tmd710: Remove future import and invalid duplex
- dd470224 Enable duplex=off in test_duplex
- d5ad4fe2 anytone_ht: Fix duplex=off
- c608067d kyd_IP620: Fix duplex=off
- 5486afc0 kyd: Fix duplex=off
- 5f2586fb retevis_rb15: Fix duplex=off
- 47830717 retevis_r1: Fix duplex=off
- cbb06d9a retevis_rt21: Fix duplex=off
- d8cb60cf retevis_rt22: Fix duplex=off
- cc5e437d retevis_rt26: Fix duplex=off
- 2e30af04 tk3140: Fix duplex=ff
- 5be4c32e bitwise: Fix set_raw() on arrayDataElement
- 4b219644 rt470: Fix duplex=off detection
- 9dbd918a Update Spanish Translation
- f7e4ce0f Refactor "recent files" handling and fix a bug
- 66a8972d uv_5118plus: Set docs on mem.extra fields
- ffb6ce82 Add tooltips to memedit column headers
- 76ff6634 Add support for integer mem.extra columns
- 9e4a9324 uv17: Check for correct memory size of radio type
- 2e4f011e uv13Pro: Added support for the Baofeng UV-13Pro.
- fbcca4a9 check_commit.sh: Ignore word `paste`
- 11581317 bitwise: Remove test code
- f5a8c78f bitwise_grammar: Remove unused code added for compatibility with Python 2
- fb3e2c74 bitwise_grammar: Add a test for #printoffset
- ade0f93a uvk5 egzumer: add new/missing custom button functions

* Thu Feb 22 2024 Greg Wildman <greg@techno.co.za> - 20240222-1
- a9b992c9 Allow deleting error'd memories
- 28ec7bb0 uvk5: Fix non-byteclean set_raw() usage
- 74e83bb1 uvk5: Fix bounds-checking for egzumer variant
- ceddec47 Log memory repr instead of str on validation fail
- 531b0fd7 Make sure to always select a port in clone
- 3ab03504 Explain un-uploadable tabs to the user
- a6adbefc uvk5 egzumer: fix vox setting saving bug

* Tue Feb 20 2024 Greg Wildman <greg@techno.co.za> - 20240220-1
- 1211b994 5RM: Fix paste/import of AM frequencies
- 0cceeb60 Add Greek Marine stock config
- 8860a249 Update Baofeng 5RM image
- d70f2e8f hguv98: Fix special channel handling
- f77b735e uv6r: fix-bitwise-errors
- 67f9fdfe retevis_rb17p: fix bitwise depricatewarning issues
- 0bbb4d49 retevis_rb17p: fix bitwise errors
- 00fa1b08 gmrsv2: fix-bitwise-errors
- 5a7d60dd baofeng_wp970i: fix depricatewarning issues
- 440789e9 baofeng_wp970i: fix bitwise errors

* Sat Feb 17 2024 Greg Wildman <greg@techno.co.za> - 20240217-1
- 2475bb0a uvk5 egzumer: fix broken "Upload calibration" option
- 5b998c51 uv17: Stop recording the model string for no reason
- 82bb3fbb Revert "uv17pro: Improve handling of memory corruption"
- 34815004 uv17: Unify class structure of radio._magics
- c8f71e31 Fix translation of memedit, clone after cleanup
- 22cf7fb0 mml_jc8810.py: Add support for Talkpod A36Plus 8W - fixes #11067

* Fri Feb 16 2024 Greg Wildman <greg@techno.co.za> - 20240216-1
- 4ed686f4 Update Chinese translation
- b1c6864d btech.py: fix 'Duplex = off' detection - fixes #11155
- 0eb0c66d Update Spanish Translation
- d279074e uvk5: Add identification of 4.00.x firmware
- 277ceaa4 Fix CSV test with comments on windows
- 1e369a14 Fix reloading detected drivers
- 9260e3a8 Add mypy to style target (for non-driver code)
- 4b482efb tk760g: Fix broken string format in exception
- b3c8b6dd thd72: Remove ancient main utility code
- 1f30247d retevis_rb28: Optimize the PMR constant tuples
- 96f83537 Fix re-use of 'e' variable in kenwood_hmk/itm
- f48b6ddd bj9900: Presumptive byte-clean fixes
- 5f48ef40 bjuv55: Fix model ident being a string
- d19e3bfe btech: Fix fileid definition type
- 74b8e58a Fix redefined model list in make_supported
- 32b22d2a Fix locale/check_parameters.py for py3
- 6ead1d98 Fix some trivial typing warnings
- 2b0a5d5f Optimize building some tuple constants
- 97157199 Fix typo/bug in memedit log statement
- 5e7489ee Remove fossilized import logic in chirp module
- daaed3e8 Update welcome image with revised chirp logo
- aa7acbb0 Change experimental warning to accept/reject
- a6232ff3 Expose experimental flag in support matrix
- 0e1e9210 Revert "Add Baofeng UV-13Pro support"
- 1752e554 Add Kenwood TH-D75 support
- 33a88085 mml_jc8810: Hiroyasu HI-8811 add new ident string - fixes #11170
- caf8a95d mml_jc8810: fix bitwise errors - prep work to get ready for #11170
- 63b97290 python3-future is not needed anymore
- bda14727 uvk5 egzumer: custom functions keys settings bug fixed

* Tue Feb 13 2024 Greg Wildman <greg@techno.co.za> - 20240213-1
- 40f5a1a5 uv17ProGPS: Allow pasted AM frequencies
- db4707f4 uv17pro: Show AM mode when airband frequencies are used.
- 1e1e0109 Ignore mode validation if immutable
- f7ca9f2a csv: Attempt to persist comments across saves
- 6d7fb22d Added ability to open/import .csv files with # comments in them.
- 3f63e645 ft1d: Fix some invalid negative seeks
- c4637cdb Fix formatting messages for exceptions
- 924dcaed Fix SyntaxWarning when installing from a Debian package
- 70d4b9af Fix typo
- c8f1fa53 KG-UV980P Fix missing channels in older images
- e48bb5f1 Add bitwise fill_raw() helper
- 2c7b5b59 Fix parsing mem.extra names with dot characters
- 14dbce01 puxing_px888k: fix bitwise errors
- 995e0bf9 Enabled workmode settings for UV-17ProGPS
- 5d3cf792 Enabled workmode settings for UV-17Pro
- bc4666e6 Add Baofeng UV-13Pro support
- b7b16848 uv17pro: Improve handling of memory corruption
- 2d7da1e9 Change PNG icon to square variant
- 00f430c7 Make the MessageBoxes stay on top of their parent Dialog
- 4ac08f75 uvk5 egzumer: grouping settings in UI

* Sun Feb 11 2024 Greg Wildman <greg@techno.co.za> - 20240211-1
- 20a3b437 Leixen VV-898S/E dual bank radios added
- 2e9ee732 thd74: Fix memory map negative seek
- 411ffe60 bitwise: Fix logging a warning for incomplete bitfields
- d17c0df0 Fix typos
- e27306fc kyd_IP620: Fix bitwise errors
- 102b2152 uv5r: Fix bitwise errors
- fd099971 KG-UV980P Fix Deleted Channel issue
- 2fec9b55 KG-UV980P freq limit fix
- 30a851ce introlines settings adjustments to better match with the official programming software. - introlines are 16 char long but the 16th char is not displayed correctly so force the 16th to space - a truncated introline1 to 12 char is stored in basicsettings
- 9c2fdf40 update Japanese translation
- 429ad73e Update Spanish Translation

* Thu Feb 08 2024 Greg Wildman <greg@techno.co.za> - 20240208-1
- 902043a9 Update US Marine stock config to current
- 20fd6ecf Fix radioreference link
- 679c1434 Give live radios the serial detection interface
- e6685dfa uvk5: Bless 1o11 firmwares in base uvk5 driver
- e579e7e1 kg935g: Remove overly verbose debug log on load
- b85efbd4 Add commit check banning the use of eval()
- 58be159b kg935g: Remove uses of eval()
- 7fbc5a31 kguv980: Remove uses of eval()
- d05c9a29 uvk5: Clean up some style and consistency issues
- c3d9614a bitwise: Add get_path() symbolic traversal
- 623fa16f Add some more RadioSettingValue operator overrides
- 0d57b2c1 uvk5: Fix setting typo in egzumer variant
- 10608596 uvk5: Shorten names of setting subgroups
- 1d0427a5 tk8180: Nest zone and OST settings in subgroups
- a655efef Allow setting subgroups to nest properly
- e3ad23cf bitwise: Avoid duplicate definitions on one scope
- 10683a46 Allow log history of multiple roots
- bb9c46ff icv80: Fix bitwise errors
- 9fc12b6d leixen: Fix duplicate bitwise definitions
- b09556ae th_uv88 : bitwise definitions cleanup and duplicate rename

* Tue Feb 06 2024 Greg Wildman <greg@techno.co.za> - 20240206-1
- 96f6a3d0 uvk5: Sanity check image firmware on load
- c5104f2d uvk5: Add in some docs for setting values
- de12d2ac Expose settings docs as tooltips in propgrid
- 7b8d367c uvk5: Structure some settings as subgroups
- 879c5e99 Add radio setting subgroup functionality
- 585f546a Allow exposing backups directory in help menu
- 5f633b2b Add radio class and module to info tab
- 109f4dd4 vx6: Fix DCS/TSQL-R reversal
- d1ce2af2 Allow invalid settings to remain uninitialized
- 4a0f59d6 Refactor setting initialization for serviceability
- 3ccfa651 Fix some test images with broken settings
- 8a92c2a6 kguv9*: Fix double-wrapped setting value objects
- e33a3e1f uv5r: Attempt to harden settings loading
- 758ae2ed Sort tone and dtcs values in the UI
- 6dc31c87 Update gitignore
- 666fd687 Fix broken log message in error_proof helper
- 81287ba5 th_uv88 : Fix CTCSS and DTCS Code list - Add non standard 62.5 CTCSS code - Add non standard 169.9 CTSS code (available in official software probably by mistake instead of 167.9) - Uses only standard DTCS codes instead of ALL_DTCS_CODES
- 865b2131 th_uv88 : Fix access to the last channel memory. The effective number of channel is 200 not 199.
- 67326be2 th_uv88 : remove _clean_buffer at identification start to fix an error when using redirected serial port with RDP in windows. Buffers are already flushed during port open in serialwin32.py
- 6b7c0a5f uvk5: egzumer firmware, "Auto reset time" bug fix

* Sat Feb 03 2024 Greg Wildman <greg@techno.co.za> - 20240203-1
- 316bffd3 Update PR guidelines for ticket linkage
- a6a297de leixen: Bump upper UHF limit to 480MHz
- 36dca4bb Update locale after uvk5 refactors
- b339d529 uvk5: Refactor firmware version reporting
- bdc36d02 uvk5: Add driver for egzumer custom firmware
- 1ca4d5e1 uvk5: Port compander toggle location to base
- 41a05c18 uvk5: Refactor steps to be per-class
- b6a56664 uvk5: Refactor specials to be per-class
- 91ae19fe uvk5: Factor out mode selection
- bf893534 uvk5: Refactor duplicate mem.extra processing
- a63d9ebc uvk5: Apply cleanups to base driver
- edbc1c3f uvk5: Refactor to support detected variants
- a56c8efd Add support for detect-only variants
- bc30c058 Baofeng family: Refactored bcd frequency decode into common

* Tue Jan 30 2024 Greg Wildman <greg@techno.co.za> - 20240130-1
- 2fac0a70 Fix some driver log message errors
- fe90410c Capture and show driver messages during load
- 463c4aed Fix marking tab as modified on menu delete
- af483640 17Pro (5RM). Add work mode menu to settings. Tested/Enabled for 5RM.
- 1837222a 17Pro Family: Refactor settings menu construction for clarity and scalability

* Mon Jan 22 2024 Greg Wildman <greg@techno.co.za> - 20240122-1
- 2205c0f0 Remove clean files from tools/cpep8.blacklist
- cf8bca38 Fix the check for lines added to cpep8.manifest and cpep8.blacklist
- e6c6f359 Updated Spanish Translation
- ecdafa05 Update Turkish language
- 89be3da6 Autosize height of column headers of memedit
- 8971edbe Update man page
- a32f23d1 Update .po files
- f0cc99da Update Italian translation
- 50114b17 Add a GUI option to set restore tabs on start

* Wed Jan 17 2024 Greg Wildman <greg@techno.co.za> - 20240117-1
- 941ca350 Update .po files
- ea3b1457 Update Italian translation
- 74679c2f Make query dialog error message fully translatable
- 99c4c743 Make descriptions of RepeaterBook, DMR-MARC and RadioReference translatable
- a4777b62 Handle plurals in translations
- df36c5fd Prepare handling of plurals in translations
- 601b7f74 Implement 'Open stock config directory' for Linux
- 094f4835 Remove the "executable" permission from memory image files
- 62a47b4e Add titles for MemoryDialogs
- 2f17989b Do not display unneeded menu separators above the list of stock configurations
- a747da9a Disable the 'Diff Raw Memories' menu item instead of hiding it
- 4a17f982 mursv1: address depricate-warning issues
- c38ea42c iradio_uv_5118plus.py: address depricate-warning issues
- 9a168245 iradio_uv_5118.py: address depricate-warning issues
- dd43de9b gmrsv2: address depricate-warning issues
- 1e3a9c90 gmrsuv1: address depricate-warning issues
- 767c2f0f btech: address depricate-warning issues
- 702cb698 bf_t8: address depricate-warning issues
- 9b7fb6ed baofeng_wp970i.py: add Baofeng 5RX - fixes #11040
- 7e0855b6 Fix check for valid file lenghts
- 0983d4d5 Remove unused argument
- 262dd729 Remove unreachable code
- 6a0baa65 Fix handling of verbosity in send() method

* Thu Jan 11 2024 Greg Wildman <greg@techno.co.za> - 20240111-1
- b7f204cd h777: Extend valid_bands upper bound to 490MHz
- 5c5dbdc6 [UV-K5] warn the user of the radio being in firmware flash mode
- 94e3c5d3 radtel_t18.py: Baofeng BF-T20 Support Full Band - fixes #9821
- 9b9abefd mml_jc8810.py: Support Radtel RT-470X Firmware 2.13A - fixes #11027
- 901e375e th_uv88.py: Retevis RA89 Support Latest Firmware - fixes #11052
- 5e5f9fa4 Remove unused imports
- 10fa5182 gmrsv2.py: remove print statements
- 58c460f1 Update tr_TR.po

* Sat Dec 23 2023 Greg Wildman <greg@techno.co.za> - 20231223-1
- f4e468c9 Fix up port sorting for strange windows ports
- f83662b1 Fixed manually removing spaces when editing banknames. Fixes #11031
- 100517fb add CRT 279 UV to alias map - addresses #11028 and #6211

* Wed Dec 20 2023 Greg Wildman <greg@techno.co.za> - 20231220-1
- 04dee787 radtel_t18.py: rb629 tone fix - fixes #10856
- 7abe0c19 retevis_rt98.py: add AnyTone AT-779W support - fixes #11023
- c62380b6 retevis_rt98.py: address DeprecateionWarning - prep for #11023
- 2f64333e radtel_t18.py: add Baofeng BF-T20FRS (22-channel model) - 2 of 2 fixes #9821
- bda6310c radtel_t18.py: address DeprecationWarning - prep for #9821 part 2
- 4181d983 retevis_rt22.py: add Baofeng BF-T20 (16-channel model) - 1 of 2 for #9821
- 6a3a858f retevis_rt22.py: address DeprecationWarning
- f5573e7a Format serial port with COM first on Windows
- 98682e9a mml_jc8810.py: support Radtel RT-470 PCB v2 - fixes #11004
- bc552dc1 Fix bug in getting grid property in ChirpSettingsEdit._apply_settings

* Sun Dec 17 2023 Greg Wildman <greg@techno.co.za> - 20231217-1
- a40e0557 Updated Spanish Translation
- f7cd1fcd Update French translation
- 4790e3ba v71: Fix lowercase characters
- 604d144f Reflect settings modifications from RadioSettingValue._validate_callback onto a GUI

* Wed Dec 13 2023 Greg Wildman <greg@techno.co.za> - 20231213-1
- aa779a93 update ja_JP locale
- bbe1c55a uvk5: add translation targets
- ee381677 NFM and were FM were switched for the UV17 driver. Fixes #11002
- f17dd675 fix always loading fake drivers
- 2dc8771f Empty tx frequency broken for some Baofeng radios. Fixes #10999

* Sat Dec 09 2023 Greg Wildman <greg@techno.co.za> - 20231209-1
- 8bc70be9 Fix style target using sitepackages
- cc90ed6b tdh8: Enable lowercase name characters
- b1ce4174 uv5r.py: fix Duplex=off detection - fixes #10993
- e0254648 Fix UV17 dates on the support matrix
- c45d230e Add Baofeng 5RM
- 02addee8 UV17: Hide bank names on radios without them
- 88598f92 UV17: Correct memory_bounds to start at 1

* Thu Dec 07 2023 Greg Wildman <greg@techno.co.za> - 20231207-1
- 6115b3e6 Fix Windows icon missing other resolutions
- a5963ffa Add TIDRADIO TD-H3

* Mon Dec 04 2023 Greg Wildman <greg@techno.co.za> - 20231204-1
- b903042d Update locale after jp_JP addition
- 04074b20 added ja_JP locale
- 8d8fb313 ftm350: Add duplex=off and fix decoding of them
- 3a189095 Update chirp.svg for newer standards
- 72066698 Fix decoding module during SHA calculation
- 77f80ef6 uv5r.py: fix broken Range Override Parameter function - fixes #10955
- e1e047d9 uv5r.py: address most DepricationWarning messages - prep for #10955
- 6668dae9 mml_jc8810.py: Add HI-8811 firmware v2.00 support - fixes #10975
- 4a40000d baofeng_common.py: honor _ack_block for UV-6R - fixes #10979
- 6f67136c Fix DeprecationWarning messages - prep for #10979

* Wed Nov 29 2023 Greg Wildman <greg@techno.co.za> - 20231129-1
- 016475bd ft1d: Fix failure to encode callsign
- ee751584 uv17Pro: Fix handling out-of-range hangup time

* Tue Nov 28 2023 Greg Wildman <greg@techno.co.za> - 20231128-1
- 5ac5cb69 Updated Spanish Translation (#827)
- 0a6397c3 Update test matrix for UV-17 variants
- 346a3087 Added driver for Baofeng UV-17 fixes #10865
- df11f150 Refactor UV-17Pro driver for UV-17 reuse
- 81a221d8 repeaterbook: Support digital-as-FM conversion
- cef97bab update chirp.desktop change MimeType from directory to app-specific, fix bug #2955

* Sat Nov 25 2023 Greg Wildman <greg@techno.co.za> - 20231125-1
- c315781d Removed unnecessary lines and fixed some bugs
- 3c1ff5b1 Disable match_model PR check because it's too dumb
- e21d78a8 Update locale files for rt490
- 85a22f8d Add Radtel RT490 - fixes #9665
- 53765302 th_uv88.py: Add Retevis RA89 - fixes #10821
- 5732be40  th_uv88.py: Address 'DeprecationWarning' messages

* Thu Nov 23 2023 Greg Wildman <greg@techno.co.za> - 20231123-1
- 468da8c3 mml_jc8810.py: Add Radtel RT-470X firmware v2 support - fixes #10915
- caa72570 mml_jc8810.py: address Deprication Warnings
- c7b3aa6e Update turkish language
- 71fa3f40 Updated Spanish Translation
- e424cdd1 yaesu ft-4xe: retry command multiple times when radio responds with not ack. Fixes #10198
- 0b311fc0 Added a driver for the Baofeng UV17 Pro and Pro GPS
- a1331151 Add a note to PR guidelines about commit messages
- cf4eefd0 Only check added python files for sameness
- 2f28fccd Change common-file check definition

* Mon Nov 20 2023 Greg Wildman <greg@techno.co.za> - 20231120-1
- 00658341 tmd710: Fix some non-byteclean serial activity
- 7fd60d4e th_uv8000: Corrected upload & download prompt text.
- 525facfe Updated Spanish Translation
- 6605759e baofeng_common.py: fix dropped byte issue - fixes #10505

* Wed Nov 08 2023 Greg Wildman <greg@techno.co.za> - 20231108-1
- aaa669c9 hg_uv98: Modernize and fix style
- ce299949 ic2100: Clean up non-byte-clean get/set_raw()
- 1e2c277d Add test for strict bitwise seeks
- d892b56e Add warnings for non-byte-clean raw methods
- 67cc858e Fix deprecated __trunc__ instead of __int__
- 63d9a061 Default bitwise's get_raw() to byte-native
- 3e672bba Add a way to test for compat bytes usage
- a80b3b85 gtk: Work around wxGTK Ctrl-C bug
- 203d7395 ft450: Remove another set_memory() setting modification
- 6b083e22 ft450: Fix IF filter setting breaking UI
- 2c3460de Update locale for ft450 changes
- 935507f1 Add FT-450 support to FT450D driver

* Mon Nov 06 2023 Greg Wildman <greg@techno.co.za> - 20231106-1
- ad73f0b5 Check mem.extra structure when comparing memories
- 1ccf0398 Add temporary XFAIL test list
- 90027b48 Add test to assert mem.extra contents
- 6301c585 Check for new instances of match_model()
- 4092a86d Make extra settings frozen in FrozenMemory
- 6e330ddb tk3140: Fix setting duplex=off
- 29424a67 fd268: Fix setting mem.extra values
- f440e393 ftx800: Cache bank model for improved performance
- 9f40416f Make test_get_set_specials set empty=False
- c4725149 Improve memory change debug logging
- 134c3e83 Log the first block received from Yaesu radios

* Tue Oct 31 2023 Greg Wildman <greg@techno.co.za> - 20231031-1
- 35c8a1c0 add Anysecu UV-K5 to model alias map
- 33fd3102 ft2800.py: initialize unknown memory objects - fixes #10916
- 195f56b2 Fix bitwise grammar for bitfield
- 4e375c9f th9000: Fix program mode negotiation
- 62ce876e uvk5: Fix invalid return when firmware probe fails
- 5ef71ddc Remove UV-9R Pro from Model Alias Map
- 61460218 uvk5.py: add Retevis RA79 - fixes #10828

* Fri Oct 27 2023 Greg Wildman <greg@techno.co.za> - 20231027-1
- e13ae1c0 Add a note about the master mode list
- 5f14b51a Fix check_commit for added image files
- 684e0e5d ft8100: Fix split implementation
- 2e76c84c uv5r.py: address 'dropped byte' issue - related to #10505

* Sat Oct 21 2023 Greg Wildman <greg@techno.co.za> - 20231021-1
- 2c99778f Tdh8 duplex adds off option
- fc76242c Convert FT-8100 for chirp-next
- 410ea15a [UV-K5] add Quansheng UV-K6 as alias to Quansheng UV-K5
- f9bbde3a tox: use distro's default python

* Mon Oct 16 2023 Greg Wildman <greg@techno.co.za> - 20231016-1
- f59b5b25 btech.py: fix BTECH GMRS-50V2 MEM_FORMAT - fixes #10883
- 60420d48 Update Russian translation
- 42363834 uvk5: Implement unknown byte in lock; killed flags.
- 603c9736 uv5k.py: Add powerlevels and battery calibration.

* Tue Oct 03 2023 Greg Wildman <greg@techno.co.za> - 20231003-1
- 68f6a46f Add a basic pre-commit config
- ffd2e63e Make style checker use proper list for args
- b5647216 Don't force FRS on Retevis RT15
- 99189092 [UV-K5] add Quansheng UV-5R as alias to Quansheng UV-K5 (#780)

* Thu Sep 28 2023 Greg Wildman <greg@techno.co.za> - 20230928-1
- f3a0a86c Fix revealing locations like debug log
- 66c84ea1 Log query parameters for network sources
- 170cd2f5 mml_jc8810.py: Talkpod A36plus support firmware v1.22 - fixes #10860
- fa7b6109 mml_jc8810.py: add missing support for Talkpod A36plus - fixes #10866

* Sun Sep 24 2023 Greg Wildman <greg@techno.co.za> - 20230924-1
- 22b9389e bf_t8.py: fix BTech FRS-A1 broadcast FM preset - fixes #10845

* Thu Sep 21 2023 Greg Wildman <greg@techno.co.za> - 20230921-1
- c7689ff7 Fix firing setting warnings for the wrong setting
- f69d888f Improve CSV import/export of DV memories

* Sun Sep 17 2023 Greg Wildman <greg@techno.co.za> - 20230917-1
- d20da97c ft2800: Fix getting subtype from older images
- 8afe1773 baofeng_wp970i.py: Correct UV-9G Power Level Selection - fixes #10842
- c6668e11 mml_jc8810.py: support RT470 FW V1.25A - fixes #10839

* Mon Sep 11 2023 Greg Wildman <greg@techno.co.za> - 20230911-1
- c2a2137b Prune empty comments from metadata
- 21aa6ee7 Show image metadata in info tab
- c9b253cd rt98.py: fix check_ver() error - fixes #10833
- 850ae809 ft1d: fix room number length check
- cf3609aa Add support for Retevis RT20

* Wed Sep 06 2023 Greg Wildman <greg@techno.co.za> - 20230906-1
- 7ac0a159 ft50: Fix clone out for python3
- 30c3c205 Add fake serial echo tester
- 9bf02c41 id800: Add power level

* Tue Sep 05 2023 Greg Wildman <greg@techno.co.za> - 20230905-1
- 19dc13de Fix for issue #10226

* Wed Aug 30 2023 Greg Wildman <greg@techno.co.za> - 20230830-1
- e3b64f2a Ignore same-row drag-and-drop

* Tue Aug 29 2023 Greg Wildman <greg@techno.co.za> - 20230829-1
- ee851f1d radioddity_r2.py: Add Retevis RT24V - fixes #10816

* Wed Aug 23 2023 Greg Wildman <greg@techno.co.za> - 20230823-1
- f44c0759 TID-H8: Remove unsupported off duplex
- 1747bd3b baofeng_wp970i.py: Add Baofeng UV-S9X3 - fixes #10149
- 992712c3 th9000.py: add rf.valid_tones - related to #10800
- 280a894e retevis_rt98.py: add rf.valid_tones - related to #10800
- ced80865 anytone_ht.py: add rf.valid_tones - relates to #10800

* Fri Aug 18 2023 Greg Wildman <greg@techno.co.za> - 20230818-1
- 6594486c mml_jc8810.py: add Abbree AR-730 - fixes #10136
- c297727c retevis_rt22.py: Add Baofeng W31E - fixes #9731
- 10426e15 Remove TONE_EXTRA from chirp_common.py - fixes #10795
- 331cbf6b Make chirp_common really allow custom tones

* Wed Aug 16 2023 Greg Wildman <greg@techno.co.za> - 20230816-1
- fa43f8f6 RB15/RB615: fix tone squelch issue - fixes #10790
- 6e7f8d42 retevis_rb15.py: Allow RB615 full band - fixes #10787
- 6066914f retevis_rb15.py: Allow RB15 full band - related to #10787

* Mon Aug 14 2023 Greg Wildman <greg@techno.co.za> - 20230814-1
- 8e6459f6 Fix style
- ef19fa4e Fix spelling
- ab80f8a9 mml_jc8810.py: Add Radtel RT-470X - fixes #10779

* Thu Aug 10 2023 Greg Wildman <greg@techno.co.za> - 20230810-1
- 25cf76fa Add Powerful UV-S5 alias
- 9f66f8d3 ga510.py: Add Abbree AR-F5 - fixes #9575

* Thu Aug 03 2023 Greg Wildman <greg@techno.co.za> - 20230803-1
- 79fefeb7 FT818: Add PMS as possible scan mode.
- 96004c2e Clean up ga510 exit handling
- 6ded5e07 ga510.py: add 'reset' v2

* Mon Jul 31 2023 Greg Wildman <greg@techno.co.za> - 20230731-1
- 732e1c1a Fix import DVMemory to D74
- 4dfd5e03 retevis_rt21.py: Add Retevis RT21V - fixes #9579
- 62223f70 Fix spelling
- 50af596f Mark three radios as tested in -next
- 46870a14 ft4: Fix multiple issues, clone, out of range

* Tue Jul 25 2023 Greg Wildman <greg@techno.co.za> - 20230725-1
- 51bb1e93 Report FT-270 as working with the VX-170 driver
- 7ebfef62 Fix Find accelerator key
- e6de5355 Fix leaving live radio serial port open

* Sat Jul 22 2023 Greg Wildman <greg@techno.co.za> - 20230722-1
- c5e4b861 Allow copying memory extra settings in some cases
- ef38376d Make RadioSettingValue pickle-able
- 8ef3f131 Avoid copying FrozenMemory internal state
- 1e552c37 Update snapcraft.yaml
- 334cf6fc Remove clean files from tools/cpep8.manifest
- f4d80b31 Remove unreachable code found by vulture

* Wed Jul 19 2023 Greg Wildman <greg@techno.co.za> - 20230719-1
- 848e37b7 Update ft2800.py - Add support for extended TX version of radio

* Tue Jul 18 2023 Greg Wildman <greg@techno.co.za> - 20230718-1
- 102191e3 Model Alias Map Update: RB27B, RB27V and RB627B
- eb22067b Update es.po
- 529a609c Retevis RT-470: Expand Supported Frequency Ranges - fixes #10731
- 1e31e497 ga510.py: add 'reset' after clone error and upload
- 4f39ef14 Fix export to CSV from D-STAR radios
- 39531729 icv86: Fix power level ordering
- 087e4e90 Update locale for UI changes
- f76873da Fix spelling
- 0338c1bb ga510.py: Retevis RA85 and RA685 full band support - fixes #10726

* Fri Jul 14 2023 Greg Wildman <greg@techno.co.za> - 20230714-1
- cc822d81 Update es.po
- 7aeeffc8 UV-5R: fine tune Aux block upload restrictions - related to #10505
- 249a7a3d uv5r: Warn about other settings not being honored
- e5a4292f tk3140: Add battery save settings
- 382443ec icv86: Fix missing power level
- c5d91ec6 Translation fixes
- 96d912c5 Updated file names for consistency
- e8f3bc10 Updated SP/PL (Polish) stock config

* Wed Jul 12 2023 Greg Wildman <greg@techno.co.za> - 20230712-1
- 705d000a tdh8 add only ch mode
- de610538 Baofeng UV-6R: Fix broken download/upload - fixes #10690

* Tue Jul 11 2023 Greg Wildman <greg@techno.co.za> - 20230711-1
- 2c1d5802 Update es.po
- 9e79e7ba General translation fixes
- 5aaf7730 Update locale for UI changes
- 9852c30b Fix disabling OK button in dialog while querying
- eb40ff89 Allow editing/fixing failed-to-load memories
- d1187909 Show memory fetch errors in row header tooltip
- 6f7f2dd5 Fetch user information when loading modules
- 6607e77d Update es.po
- 9675fdeb PL Translation
- 700198c5 [UV-K5] add UV-K5(8) as an alias for UV-K5
- 4ca19d12 [UV-K5] add option to disable tx on a channel

* Mon Jul 10 2023 Greg Wildman <greg@techno.co.za> - 20230710-1
- 3b292782 Add Maverick RA-100 & RA-425 radios
- b849f96f Fix commit 1d1df46a (Fix two instances of "E722 do not use bare 'except'")
- c8831b32 Przemienniki.net updates

* Thu Jul 06 2023 Greg Wildman <greg@techno.co.za> - 20230706-1
- bf5117a2 Polish (PL) translation update
- 24219aed Update es.po

* Wed Jul 05 2023 Greg Wildman <greg@techno.co.za> - 20230705-1
- aacf7952 Fix th7800 for chirp-next
- 11f6285b Support CSV files with BOM signatures
- 37081bef Re-add przemienniki.net query source
- 966fc664 Add Baofeng BF-1902 and BF-1903 to alias map
- 8af56094 Updates scan mode options and fixes settings2 struct
- 4b7f349e Set alarm function as ValueList for Baofeng 1900 series
- 474b1915 Add subclasses for BF1901 and BF1904
- 1e324830 Improve dragging multiple memories
- e20d4454 Update check_patch to look for similar drivers
- cede9a79 Restore selected view in settings edit on refresh
- d84b3f64 Created stock config file for SP
- 7d7336c4 Update es.po

* Mon Jul 03 2023 Greg Wildman <greg@techno.co.za> - 20230703-1
- d9a8f481 Amend check_commit and PR template
- 597b986c Save backup images after every download
- b257795c Add warnings and volatile flag to settings
- 885590d6 uv5r.py: skip Aux block when cloning to some radios - related to #10505

* Sat Jul 01 2023 Greg Wildman <greg@techno.co.za> - 20230701-1
- 35061331 Overhaul of Kenwood D7 Driver

* Fri Jun 30 2023 Greg Wildman <greg@techno.co.za> - 20230630-1
- 634249a5 Retevis RB27: support full band TX/RX - fixes #10686
- 500a7aa1 Update es.po
- 3eced33f Retevis RB627B/RB27B/RB27V: Update Time-Out-Timer list - fixes #10670

* Thu Jun 29 2023 Greg Wildman <greg@techno.co.za> - 20230629-1
- b970ba31 iradio_uv_5118plus.py: use space padding for channel names
- 64974a75 Fix some issues copy/pasting between specials
- 7faaf836 Make fake driver support specials for testing
- 7dde4a4b ic2820: Fix invalid immutable fields
- 7f5178a1 Update es.po
- 3c037da9 Update locale for stock configs menu changes
- 6bdf063c Clean up legacy stock config files
- fa37b750 Add menu option to open stock configs directory
- 193485d6 Allow overriding stock_configs directory
- 6c04f338 Add backspace as keyboard shortcut for delete

* Wed Jun 28 2023 Greg Wildman <greg@techno.co.za> - 20230628-1
266d21ad Update window title after save-as
ad915d27 Fix drag-and-drop of memories
43143db7 Update es.po
1c8ffb60 Fix radioreference query with subcat missing name
bc1824ae uv-5r.py: add 'direction' to cloning status
ef2b563b [uvk5]: Fix missing space in instructions

* Tue Jun 27 2023 Greg Wildman <greg@techno.co.za> - 20230627-1
- 9c668647 Constrain port box width
- 5b47866d Auto-size row labels for long strings
- 7f0026a2 Don't override special names on UV-K5
- c60ece13 Remove UV-K5 development version string
- 0344c833 Allow relaxing UV-K5 band limits for modified FW
- f81e1977 Add Quansheng UV-K5 driver
- 11e6bcb2 dupe() memory in set_memory() for memcache
- d7b82e41 Remove unused bandplan_na import from wp970i
- 177436f7 Remove unused variable and unneeded seek()
- c23be2be Fix typo
- 0af12dd0 Remove clean files from tools/cpep8.manifest
- 1d1df46a Fix two instances of "E722 do not use bare 'except'"
- 170b3164 Remove duplicate methods
- 5725c2cd Remove duplicate imports
- 525db7fd Remove unused variable in except clauses
- eb1eca18 Remove unused imports
- 72aae7de Remove unused dictionary SETTING_LISTS
- 353bcec0 Fix W605 invalid escape sequence
- 90cdd61b Fix undefined names
- 7113480a Ignore false positive "F821 undefined name '_'"
- b66b6247 Properly indent sub-groups in RadioSettingGroup.__str__
- 3a9e9ee4 Fix spelling
- be00c4eb Update es.po
- efa07626 Retevis RB75: Support full band TX/RX - fixes #10663
- 55625b41 Retevis H777S/RT24: Support full band TX/RX - fixes #10454
- 65da68ae Baofeng GMRS-9R: Support full band TX/RX - fixes #10388

* Thu Jun 22 2023 Greg Wildman <greg@techno.co.za> - 20230622-1
- 24ea4cc2 Split TH-D7, TH-D7G, and TH-D700 into a separate file
- 6bebf900 Avoid leaving port helper selected on failure
- a60023d8 Update locale for simple import support
- 2c6d1093 Make radio browser read-only in frozen builds
- 79570785 Implement simple import function
- 23044ab9 Limit paste error dialog to 20 lines
- b94588d6 Add memory edit ops to the right-click menu
- 4527f666 Refactor copy/paste callbacks for easier re-use
- ebd57701 btech.py: fix 'Illegal set on attribute name'

* Mon Jun 19 2023 Greg Wildman <greg@techno.co.za> - 20230619-1
- 8aa0fcc9 Improve IC9x driver
- c403e688 Allow interacting with sub-device radios
- 84e06c6b Allow interacting with live drivers
- a8dd75da Bump new version warning interval
- fb7982b3 Add PR check for added driver with no added image
- 4b7cee5a Make fast-driver fall back to all drivers
- b7dd6c79 Make fast-driver look for dependencies
- 2c96335b RT29: Add Extra DTCS Codes - fixes #10654

* Sat Jun 17 2023 Greg Wildman <greg@techno.co.za> - 20230617-1
- c26662d8 Fix broken FTM-7250 driver for recent FTx changes
- 6cfdf5ea Disable HARDWARE_FLOW for Kenwood TH-F6
- 420df3e3 Yaesu FTnD: WiresX settings and special channels

* Thu Jun 15 2023 Greg Wildman <greg@techno.co.za> - 20230615-1
- 58992249 Fix zero-origin live driver row label mismatch
- 4ff976b9 Some fixes for TH-D7 and TH-D7G
- 95b388d0 Fetch full history for check-patch test
- 734a9121 Update Spanish Translation
- e2e3e529 Remove leftover data format from drop target
- 05efe04a Avoid welcome tabs on child windows
- 6861aba9 Show overlay during tab drag
- aa884641 Fix settings menu setup for Issue #10628. Now testing FTM3200D as well.

* Wed Jun 14 2023 Greg Wildman <greg@techno.co.za> - 20230614-1
- 98834e21 Update locale for separate-windows
- 8a2083b8 Allow drag-and-drop of memories
- 996cac2f Allow opening multiple windows and moving tabs
- e8b3f0b0 Baofeng UV-9R Pro: fix detection of firmware version - related to #10505

* Tue Jun 13 2023 Greg Wildman <greg@techno.co.za> - 20230613-1
- f97c66ed Add Talkpod A36plus - fixes #10559
- 3edafee3 Update Spanish Translation
- d7496614 Update locale from hide-empty work
- e7251863 Make goto and move operations memedit-specific
- 200c944a Add hide unused memories
- 7806f9c2 Add generic editor-specific menu items
- 2859dd5e 8D Plus driver style cleanup
- abd1f044 Update UV8D Plus UHF acceptable range
- 91450800 KG-UV8D Plus DCS tones

* Sun Jun 11 2023 Greg Wildman <greg@techno.co.za> - 20230611-1
- 8faf39da Remove extraneous debug from uv5r driver
- 67e6a832 Fix setting extras on non-english translations
- 19109e52 Update Spanish Translation

* Thu Jun 08 2023 Greg Wildman <greg@techno.co.za> - 20230608-1
- cd81a093 Fix toggling banks when clicking on meta columns
- 5a1ca3d5 Add check for specials overlapping memory bounds

* Tue Jun 06 2023 Greg Wildman <greg@techno.co.za> - 20230606-1
- 7e014357 Fix ft2800 instruction line wrapping on msw
- 50dccf77 Add Anysecu UV-A37 - fixes #10376
- 679c9fce Add support for changing knob controls on tk3140
- 992fc629 Update FT-2800 support status for next

* Mon Jun 05 2023 Greg Wildman <greg@techno.co.za> - 20230605-1
- 52db47fa Add support for Hiroyasu HI-8811 - fixes #10622
- f8c3c180 Update locale for ft2800 instructions
- 471984c4 Fix FT2800 for chirp-next
- 4603285b RT-470: support firmware update v1.22 - fixes #10572
- d9bd8c8a Fix PEP8 issues related to comments and end of lines
- 96b9cab6 Fix  W291 trailing whitespace
- 9b541f59 Manually fix issues that weren't automatically fixed by autopep8
- 94abcc20 Fix whitespace according to pep8
- 16f2ad34 Update tools/cpep8.manifest
- 84206c9d Fix spelling
- c6fc5325 Missing 'import struct'

* Fri Jun 02 2023 Greg Wildman <greg@techno.co.za> - 20230602-1
- 72789c36 Make FT-450 fully byte-clean
- e04b17a5 Update FT-450 for python3 compatibility
- 29f7c93d Make fast-driver a no-op for all-excluded
- 88c0516e Always update cells for font size
- c94b26be Fix config issues with % in filenames
- 2041de97 Fix frequency range for IC-7300
- ae033210 Remove unused imports
- 469e6253 Make proper docstrings
- b0fa1088 Fix unused-format-string-argument errors

* Thu Jun 01 2023 Greg Wildman <greg@techno.co.za> - 20230601-1
- 64d85d83 Update mml_jc8810.py
- 5f58edab Update es.po
- cf28b3a7 Add "Cluster Memories" operation for a range
- b61a9a24 Fix recording Untitled.csv as a recent file

* Wed May 31 2023 Greg Wildman <greg@techno.co.za> - 20230531-1
- Update to latest version.

* Mon May 15 2023 Greg Wildman <greg@techno.co.za> - 20230515-1
- Update to latest version.

* Sun May 14 2023 Greg Wildman <greg@techno.co.za> - 20230514-1
- Update to latest version.

* Wed May 10 2023 Greg Wildman <greg@techno.co.za> - 20230510-1
- Update to latest version.

* Tue May 09 2023 Greg Wildman <greg@techno.co.za> - 20230509-1
- Update to latest version.

* Tue Apr 04 2023 Greg Wildman <greg@techno.co.za> - 20230404-1
- Update daily version.

* Wed Mar 29 2023 Greg Wildman <greg@techno.co.za> - 20230328-1
- Update daily version.
- Add locale files.

* Mon Mar 20 2023 Greg Wildman <greg@techno.co.za> - 20230319-1
- Initial spec.

